---
title: font-size-adjust
slug: Web/SVG/Attribute/font-size-adjust
tags:
  - SVG
  - SVG Attribute
---
<p>« <a href="/en/SVG/Attribute" title="en/SVG/Attribute">SVG Attribute reference home</a></p>

<p>The <code>font-size-adjust</code> attribute allows authors to specify an aspect value for an element that will preserve the x-height of the first choice font in a substitute font.</p>

<p class="note"><strong>Note:</strong> As a presentation attribute, <code>font-size-adjust</code> can be used as a CSS property. See the {{cssxref("font-size-adjust", "CSS font-size-adjust")}} property for more information.</p>

<p>As a presentation attribute, it can be applied to any element but it has effect only on the following eight elements: {{SVGElement("altGlyph")}}, {{SVGElement("text")}}, {{SVGElement("textPath")}}, {{SVGElement("tref")}}, and {{SVGElement("tspan")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; hightlight[9]">&lt;svg width="600" height="80" viewBox="0 0 500 80"
    xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;text y="20" font-family="Times, serif" font-size="10px"&gt;
    This text uses the Times font (10px), which is hard to read in small sizes.
  &lt;/text&gt;
  &lt;text y="40" font-family="Verdana, sans-serif" font-size="10px"&gt;
    This text uses the Verdana font (10px), which has relatively large lowercase letters.
  &lt;/text&gt;
  &lt;text y="60" font-family="Times, serif" font-size="10px" font-size-adjust="0.58"&gt;
    This is the 10px Times, but now adjusted to the same aspect ratio as the Verdana.
  &lt;/text&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "600", "100")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Default value</th>
   <td><code>none</code></td>
  </tr>
  <tr>
   <th scope="row">Value</th>
   <td><code>none</code> | {{cssxref("number")}}</td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>none</code></dt>
 <dd>Choose the size of the font based only on the {{ Cssxref("font-size") }} property.</dd>
 <dt>{{cssxref("&lt;number&gt;")}}</dt>
 <dd>
 <p>Choose the size of the font so that its lowercase letters (as determined by the x-height of the font) are the specified number times the {{ Cssxref("font-size") }}.</p>

 <p>The number specified should generally be the aspect ratio (ratio of x-height to font size) of the first choice {{ Cssxref("font-family") }}. This means that the first-choice font, when available, will appear the same size in browsers, whether or not they support <code>font-size-adjust</code>.</p>

 <p><code>0</code> yields text of zero height (hidden text).</p>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSS3 Fonts", "#font-size-adjust-prop", "font-size-adjust")}}</td>
   <td>{{Spec2("CSS3 Fonts")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "text.html#FontSizeAdjustProperty", "font-size-adjust")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.font-size-adjust")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("font-size-adjust","CSS font-size-adjust")}}</li>
</ul>
